All Resources All filters

# AuthFilter

A filter that implements authentication. Currently this filter handles only Basic Authentication, as defined by the HTTP/1.1 specification.

## Inherits

The AuthFilter class inherits from the following classes:

- ResourceFilter (aka abstract class)

## Attributes description

The AuthFilter defines the following attributes:

- methods
- realm
- shared-cachability
- private-cachability
- public-cachability

`methods`

semantics
  The set of methods to protect against. When undefined, the filter will protected all HTTP method, otherwise it will just protect against the given set of methods. Each method is given by its name (in upper case).
type
  This attribute is a editable StringArrayAttribute.
default value
  This attribute is undefined by default (so the filter will protect all methods).

`realm`

semantics
  The realm (a.k.a. database) to use to obtain user information. Jigsaw manages a catalog of realms, allowing you to define as many of them as needed. This attribute is a realm identifier, i.e it is the symbolic name under which the realm catalog knows about it.
  When undefined, the filter will not run any authentication code.
type
  This attribute is an editable StringAttribute.
default value
  This attribute is undefined by default.

`shared-cachability`

semantics
  When this flag is set to true, the authentication filter will decorate replies on the way back, marking the reply as being cachable by proxies only if the proxy is willing to revalidate it.
type
  This attribute is an editable BooleanAttribute.
default value
  This attribute is set to false by default.

private`-cachability`

semantics
  When this flag is set to true, it overrides all other settings, and mark the reply on its way back as being cachable by any cache (a private or shared cache) prvided that cache revalidates it on each access.
type
  This attribute is an editable BooleanAttribute.
default value
  This attribute is set to false by default.

public`-cachability`

semantics
  When set to true, the filter will mark all outgoing replies it catches as being cachable, witouht even requiring revalidation.
type
  This attribute is an editable BooleanAttribute.
default value
  This attribute is set to false by default.

Jigsaw Team
$Id: w3c.jigsaw.auth.AuthFilter.html,v 1.1 1996/04/13 02:23:05 abaird Exp $